Debian Bug report logs - #553260
pvm-dev: missing-dependency-on-libc needed by ./usr/bin/pvm_gstat and 3 others but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.

version graph

Package: pvm-dev; Maintainer for pvm-dev is Steinar H. Gunderson <sesse@debian.org>; Source for pvm-dev is src:pvm.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 19:57:15 UTC

Severity: serious

Tags: patch

Found in version pvm/3.4.5-12

Fixed in version pvm/3.4.5-12.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sesse@debian.org (Steinar H. Gunderson):
Bug#553260; Package pvm-dev. (Thu, 29 Oct 2009 19:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to sesse@debian.org (Steinar H. Gunderson). (Thu, 29 Oct 2009 19:57:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pvm-dev: missing-dependency-on-libc needed by ./usr/bin/pvm_gstat and 3 others but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.
Date: Thu, 29 Oct 2009 14:12:37 -0500
Package: pvm-dev
Version: 3.4.5-12
Severity: serious
Justification: The listed file appears to be linked against the C library,
User: lintian-maint@debian.org
Usertags: missing-dependency-on-libc

All shared libraries and compiled binaries must be run through dpkg-shlibdeps to
find out any libraries they are linked against (often via the dh_shlibdeps
debhelper command). The package containing these files must then depend on
${shlibs:Depends} in debian/control to get the proper package dependencies for
those libraries.

Refer to Debian Policy Manual section 8.6 (Dependencies between the library and
other packages - the shlibs system) for details.

,----[ 8.6 Dependencies between the library and other packages - the shlibs system ]
| If a package contains a binary or library which links to a shared library, we
| must ensure that when the package is installed on the system, all of the
| libraries needed are also installed. This requirement led to the creation of the
| shlibs system, which is very simple in its design: any package which provides a
| shared library also provides information on the package dependencies required to
| ensure the presence of this library, and any package which uses a shared library
| uses this information to determine the dependencies it requires. The files which
| contain the mapping from shared libraries to the necessary dependency
| information are called shlibs files.
| 
| Thus, when a package is built which contains any shared libraries, it must
| provide a shlibs file for other packages to use, and when a package is built
| which contains any shared libraries or compiled binaries, it must run
| dpkg-shlibdeps on these to determine the libraries used and hence the
| dependencies needed by this package.
`----

,----[ 8.6.2 How to use dpkg-shlibdeps and the shlibs files ]
| Put a call to dpkg-shlibdeps into your debian/rules file. If your package
| contains only compiled binaries and libraries (but no scripts), you can use a
| command such as:
| 
|      dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
|        debian/tmp/usr/lib/*
| 
| Otherwise, you will need to explicitly list the compiled binaries and
| libraries.[53]
| 
| This command puts the dependency information into the debian/substvars file,
| which is then used by dpkg-gencontrol. You will need to place a
| ${shlibs:Depends} variable in the Depends field in the control file for this to
| work.
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pvm-dev depends on:
pn  libpvm3                       <none>     (no description available)
pn  libreadline-dev               <none>     (no description available)
pn  pvm                           <none>     (no description available)

pvm-dev recommends no packages.

pvm-dev suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, sesse@debian.org (Steinar H. Gunderson):
Bug#553260; Package pvm-dev. (Sun, 29 Nov 2009 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to sesse@debian.org (Steinar H. Gunderson). (Sun, 29 Nov 2009 13:18:06 GMT) Full text and rfc822 format available.

Message #10 received at 553260@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553260@bugs.debian.org, 553830@bugs.debian.org
Subject: pvm: diff for NMU version 3.4.5-12.1
Date: Sun, 29 Nov 2009 14:15:51 +0100
[Message part 1 (text/plain, inline)]
tags 553260 + patch
tags 553830 + patch
thanks

Dear maintainer,

I've prepared an NMU for pvm (versioned as 3.4.5-12.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #160:  non-redundant fan failure 
[pvm-3.4.5-12.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 29 Nov 2009 13:18:16 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 06 Dec 2009 13:57:25 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 06 Dec 2009 13:57:25 GMT) Full text and rfc822 format available.

Message #17 received at 553260-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553260-close@bugs.debian.org
Subject: Bug#553260: fixed in pvm 3.4.5-12.1
Date: Sun, 06 Dec 2009 13:56:33 +0000
Source: pvm
Source-Version: 3.4.5-12.1

We believe that the bug you reported is fixed in the latest version of
pvm, which is due to be installed in the Debian FTP archive:

libpvm3_3.4.5-12.1_i386.deb
  to main/p/pvm/libpvm3_3.4.5-12.1_i386.deb
pvm-dev_3.4.5-12.1_i386.deb
  to main/p/pvm/pvm-dev_3.4.5-12.1_i386.deb
pvm-examples_3.4.5-12.1_i386.deb
  to main/p/pvm/pvm-examples_3.4.5-12.1_i386.deb
pvm_3.4.5-12.1.diff.gz
  to main/p/pvm/pvm_3.4.5-12.1.diff.gz
pvm_3.4.5-12.1.dsc
  to main/p/pvm/pvm_3.4.5-12.1.dsc
pvm_3.4.5-12.1_i386.deb
  to main/p/pvm/pvm_3.4.5-12.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553260@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated pvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 Nov 2009 13:56:59 +0100
Source: pvm
Binary: pvm pvm-dev libpvm3 pvm-examples
Architecture: source i386
Version: 3.4.5-12.1
Distribution: unstable
Urgency: low
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libpvm3    - Parallel Virtual Machine - shared libraries
 pvm        - Parallel Virtual Machine - binaries
 pvm-dev    - Parallel Virtual Machine - development files
 pvm-examples - Parallel Virtual Machine - examples
Closes: 553260 553830
Changes: 
 pvm (3.4.5-12.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix " missing-dependency-on-libc needed ..." by adding ${shlibs:Depends}
     to pvm-dev's Depends in debian/control (closes: #553260).
   * Fix "replacing libreadline5-dev build dependency with libreadline-dev"
     (closes: #553830).
   * Tighten dependency of pvm-dev on libpvm3 to (= ${binary:Version}),
     thanks lintian.
Checksums-Sha1: 
 3547fb32ede431f76e90fd47ce950db378c715c8 1680 pvm_3.4.5-12.1.dsc
 fed481c2077394cf53c3b822d58d5f8c05725f3a 21315 pvm_3.4.5-12.1.diff.gz
 04bf581ddce5c2ac944f077f1f68338f127f4d6a 161432 pvm_3.4.5-12.1_i386.deb
 8a10f2aa5bc9e7b17bf04c756c0f0d525a319e96 345968 pvm-dev_3.4.5-12.1_i386.deb
 3a94a8397283fc034b9c7211909cc289a56323ee 90686 libpvm3_3.4.5-12.1_i386.deb
 138c4444dcc67bb53b0d01f5cc07f7b3fc69ea5c 209280 pvm-examples_3.4.5-12.1_i386.deb
Checksums-Sha256: 
 440b1c4ede759241653cc55cedf423731866d5bada374afcabfcbb0158b89277 1680 pvm_3.4.5-12.1.dsc
 367f3eb5512a452b1dadddfeadd312db219d93147e82570b12b29008fdecc9f5 21315 pvm_3.4.5-12.1.diff.gz
 f9f85be684fc1d018e65c864f2ea64144717ac9511abb4476f80e6eeeaf6c8a2 161432 pvm_3.4.5-12.1_i386.deb
 fc54528160c5fd4391f5be056a5cfdc595395a34c6692ca138d095234f4860a9 345968 pvm-dev_3.4.5-12.1_i386.deb
 7d1d6db48f0a89a08b9dac672bd03b2e2d952f96119fa7794613b1020ca25bb7 90686 libpvm3_3.4.5-12.1_i386.deb
 c0b183d2671c0026e65a8e8d43e19ce1b9cf709224502f8805c5cb36cf3ebf1f 209280 pvm-examples_3.4.5-12.1_i386.deb
Files: 
 4e4353c8c385b4246a157fdc9f6d810c 1680 devel extra pvm_3.4.5-12.1.dsc
 7b222e894c6f4fafa771579a70b900cb 21315 devel extra pvm_3.4.5-12.1.diff.gz
 b2f244ca82ac749baa548a0d4aead778 161432 devel extra pvm_3.4.5-12.1_i386.deb
 37c8d6dd46b79dd410fb54cb5d460865 345968 devel extra pvm-dev_3.4.5-12.1_i386.deb
 913e1ca2fbdab26c5c643d2fe346d4d9 90686 libs extra libpvm3_3.4.5-12.1_i386.deb
 2ec22e63930161bd09e4cd0ff19a057f 209280 devel extra pvm-examples_3.4.5-12.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEnN1AAoJELs6aAGGSaoGiS8P/3NjTn/ietX2FV5Do74fBfgq
lRa4ePS5hZThbA2lAqTE37uQ8TeSpofops6xezGNanxTgdjcrG+mRZ37T4i/Inp1
QXpMu0g94iTNUQr0H5l7A42fS4lewVvZ8XzLmOGqIgg4Ttzr78wWMm7VMgglfPCb
rALbdyQRKsvRZcJLnLsEk/G7iD3CUItcOtDL806YrtvGi4AswhVt3BTPwwboyR8V
6iZhDtyZY6wzRZHVM4FqvrcA8r1NqcEq0PAAP4Y4lmMTK4hh7mrHPJpTJuHJmwhA
F2d1F/QoJvFcS9cxcryuZV/zjIrR3TNnX10pnRpamOvtKw1PM6+8ipvkWa/L8xzr
Wnz/1e11szVABCBgY3FFehglN+WOdALkoXC6mutoIBzTwMwpanemN4VZezEi9Rkt
Mr+ly2Du48cgYPxEeWVY8VJBtmRi/0ANe5f9zcEZjKP0e2gYGz9fywAQmOSBnrVa
WTmsP32X0RXpAL2vMaVVRlSOiCRGOf0HmmlTCudrJGh9CQy34MWRDHtqCU+LKDdH
2trM/hbfhSMzWr9mJ6kh7lmNEYIZa+MlDvcU6tuILsqg65kxb+lVYsaRz4WDNEL0
hF371MQYVQI2ZPAwspg5HS5cjCuwZ7S8gpYYHy1glGGNiv+hbiVJGFEG/ZBQZPAu
Gw0xceHtQG4/59Ob4wnD
=cdgQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Jan 2010 07:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:14:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.